Package ru.bitel.bgbilling.modules.rurupay.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.rurupay.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `DEFAULT_PAYMENT_COMMENT`

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `carryOutPayment(Transaction transaction, Preferences moduleSetup)`
  Проведение платежа.
  `Transaction`
  `getByOrder(String order)`
  Получение записи из БД по номеру заказа.
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `Result<Transaction>`
  `getList(Period period, Page page, int cid, int statusmask)`
  Список платежей.
  `void`
  `searchTransactionList(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status)`
  `protected void`
  `updateImpl(Transaction b)`
  `void`
  `updateLogEntry(Transaction transaction)`
  Добавление платежа в лог.

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PAYMENT_COMMENT

    public static String DEFAULT_PAYMENT_COMMENT

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### searchTransactionList

    public void searchTransactionList(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public Result<Transaction> getList(Period period, Page page, int cid, int statusmask) throws ru.bitel.bgbilling.common.BGException
    Список платежей.
    Parameters:
      `period` - период-фильтр. Может быть null, тогда не искользуется.
      `page` - пагинация. Может быть null (тогда и кол-во найденных записей не возьмётся).
      `cid` - договор-фильтр. Может быть -1, тогда не используется.
      `status` - маска статусов которые надо выбрать
    Returns:
      возвращается Result.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByOrder

    public Transaction getByOrder(String order) throws ru.bitel.bgbilling.common.BGException
    Получение записи из БД по номеру заказа. Проверки по cid дополнительной нет, т.к. order содержит и так cid.
    Parameters:
      `order` - ид заказа
    Returns:
      запись о платеже, или null если платежа с таким номером заказа нету.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateLogEntry

    public void updateLogEntry(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Добавление платежа в лог. Если есть уже в логе с таким ИД, то обновляется.
    Parameters:
      `transaction` - запись для добавления заполненная.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### carryOutPayment

    public void carryOutPayment(Transaction transaction, Preferences moduleSetup) throws Exception
    Проведение платежа. Проверяется, чтобы статус у переданного был OK. Используется в экзекутере.
    Throws:
      `Exception`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction b) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`